Get all companies

This endpoint can be used to search for companies. The response body is paginated and you can control the pagination using the pageSize and pageToken parameters. Native filters include companyName, companyUrl, and accountOwner. Custom company fields (including NOTE fields, treated as text) can be filtered with company.field.<custom_field_id>.operator=value.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Get all companies API enables users to find companies in their Rocketlane instances using advanced filtering options. This API is intended to provide a flexible and fast means of getting company data based on various parameters.

Developers can integrate company search features into their applications and platforms by using this API. You can fine-tune your searches and retrieve the company data you need for integration into your applications or platforms by using the available parameters.

📘

Note

The Companies Public API currently returns CUSTOMER companies only. Partner companies are not included in the response body.

The includeFields param can be used to customize the response. You can fine-tune your searches and retrieve the company related data you need for integration into your applications or platforms by using filters.

You can use any combination of these parameters to execute searches based on your specifications. In addition to filters, sortBy and sortOrder can be used to sort the companies. The response body is paginated, and you can control the pagination using the limit and pageToken parameters.

Pagination

The Get All Companies API accommodates pagination in the response body. The pageSize option can be used to restrict the amount of responses displayed/available in a single request. Additionally, if there are more entries than the ones accessible in the answer, the response(s) may contain the pageToken.

Please refer to the pagination section for further information on this.

Filtering

The capacity to execute more sophisticated and nuanced searches on a dataset by combining numerous criteria and conditions is referred to as filtering.

Complex filtering in the context of the Get All Companies API allows users to build elaborate search queries to return specific subsets of companies that satisfy specific requirements. By catering to a wide range of use cases, this enhanced filtering functionality considerably increases the API's utility and versatility.

The API reference includes a comprehensive range of filtering options.

Native field filtering

In addition to companyName, the following native company fields can be used as filter criteria:

FieldDescriptionExample operators
companyNameCompany display nameeq, cn, nc
companyUrlWebsite URL of the companyeq, cn, nc
accountOwnerAccount owner user ideq, oneOf, noneOf

Examples:

  • companyUrl.cn=acme.com
  • accountOwner.eq=12
  • accountOwner.oneOf=12,34

Custom Field Filtering

The Get All Companies API offers custom field filtering in addition to the regular filtering options.

Users can utilise custom field filtering to define and apply their own company fields as search criteria. This powerful feature allows users to search for companies based on custom company fields, allowing the API to be tailored to a variety of use cases where default fields may be insufficient.

TypeDescription
CompanyCustom company fields

Please refer to the below table for more information on how to construct the filtering criteria for custom fields.

Field nameTextNumberYes/NoDateSingle SelectionMulti SelectionRatingNote (text)
{type}.field.{field_id}.value☑️☑️☑️☑️☑️☑️
{type}.field.{field_id}.contains☑️☑️
{type}.field.{field_id}.notContains☑️☑️
{type}.field.{field_id}.greaterThan☑️☑️☑️
{type}.field.{field_id}.lessThan☑️☑️☑️
{type}.field.{field_id}.greaterThanEqual☑️☑️☑️
{type}.field.{field_id}.lessThanEqual☑️☑️☑️
{type}.field.{field_id}.isEmpty☑️☑️☑️☑️☑️☑️☑️☑️
{type}.field.{field_id}.isNotEmpty☑️☑️☑️☑️☑️☑️☑️☑️
{type}.field.{field_id}.isTrue☑️
{type}.field.{field_id}.isFalse☑️
{type}.field.{field_id}.oneOf☑️☑️
{type}.field.{field_id}.noneOf☑️☑️

For companies, {type} is always company. Example:

company.field.2047333.contains=sdsdd

The field_id can be fetched from this API. Additional parameters can be passed to fetch fields associated with companies, which can then be used to perform searches on the companies.

For more information about this, please refer to the custom fields section.

Note field filtering

Company NOTE fields are always filtered as text.

Use the same text operators as above (contains, notContains, value / eq, isEmpty, isNotEmpty) via company.field.{field_id}.{operator}.

Example:

GET /1.0/companies?company.field.2047333.contains=sdsdd

Criteria Match

In addition to standard filtering and custom field filtering, the Get All Companies API also supports the use of AND and OR conditions for more advanced filtering options. Users can combine different filters and custom field queries with these logical operators to build complex yet accurate search queries.

Use the match query parameter:

  • match=all — all filter conditions must match (AND)
  • match=any — any filter condition may match (OR)

In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
number
≥ 0

This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.

string

Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

includeFields
array of strings

Use this query parameter to opt in for companies to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.

includeFields
Allowed:
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

string
enum

You can use the sortBy param to sort the responses by the given field.

Allowed:
string
enum

The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.

Allowed:
string
enum

You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

Allowed:
string

You can use this param to specify some company name and the responses will contain exact matches of companies that match the given name.

string

You can use this param to specify some company name and the responses will contain matches of companies that match the given name.

string

You can use this param to specify some company name and the responses will not contain matches of companies that match the given name.

string

You can use this param to specify a company URL and the responses will contain exact matches of companies that match the given URL.

string

You can use this param to specify a company URL substring and the responses will contain companies whose URL contains the given value.

string

You can use this param to specify a company URL substring and the responses will not contain companies whose URL contains the given value.

string

You can use this param to filter companies by account owner userId (exact match).

string

You can use this param to filter companies whose account owner userId is one of the given comma-separated userIds.

string

You can use this param to filter companies whose account owner userId is none of the given comma-separated userIds.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json